package com.ruoyi.cms.util;

import java.util.List;
import java.util.Objects;

public class ListUtil {
    public static Boolean isEmptyOrNull(List<String> s){
        if(Objects.isNull(s)){return true;}
        return s.isEmpty();
    }
    public static Boolean isListEmptyOrNull(List<Long> s){
        if(Objects.isNull(s)){return true;}
        return s.isEmpty();
    }

    public static boolean isListObjectEmptyOrNull(List<?> list) {
        // 先判断 null，再判断空集合（短路逻辑避免 NPE）
        return list == null || list.isEmpty();
    }
}
